%def_with M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

%define qtdir /usr/lib/qt3

%define kdemenu %_datadir/applications/kde
%define bmenudir %buildroot/%_menudir
%define bkdemenu %buildroot/%_datadir/applications/kde

%define ver 0.6.9
%define vrel 1

Name: esvn
Summary: eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system
Version: %ver
Release: %_release
Source: http://esvn.umputun.com/%name-%ver-%vrel.tar.gz
Group: Development/Other
Url: http://esvn.umputun.com/
License: GPL
Packager: Ivan Fedorov <ns@altlinux.ru>

BuildPreReq: gcc-c++ libqt3-devel menu-devel
%if_without M24
BuildPreReq: libqt3-settings
%endif

%description
eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system.

Author:
-------
Eugene Bort <esvn@umputun.com>

%prep
%setup -q -n %name
%__subst s/doc\\/esvn/doc\\/esvn-%ver/ src/mainwindow.cpp

%build
PATH=$PATH:%qtdir/bin
qmake esvn.pro
qmake esvn-diff-wrapper.pro
%__subst s/-fno-exceptions/-fexceptions/ esvn.mak
%__subst s/-fno-exceptions/-fexceptions/ esvn-diff-wrapper.mak
%__make -f esvn.mak
%__make -f esvn-diff-wrapper.mak

%install
%__mkdir_p %buildroot/{%_bindir,%_datadir/pixmaps,%kdemenu,%_docdir/%name-%version,%_menudir}
%__install -m755 %name %buildroot%_bindir/%name
%__install -m755 esvn-diff-wrapper %buildroot%_bindir/esvn-diff-wrapper
%__install -m644 %name.png %buildroot/%_datadir/pixmaps/%name.png
%__install -m644 eSvn.desktop %bkdemenu/%name.desktop
%__install -m644 AUTHORS COPYING LICENSE README VERSION ChangeLog %buildroot%_docdir/%name-%version
cp -f -r html-docs %buildroot/%_docdir/%name-%version/

%Md2m %name Applications/Development/Tools %bkdemenu/%name.desktop %bmenudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_bindir/esvn-diff-wrapper
%_datadir/pixmaps/%name.png
%kdemenu/%name.desktop
%dir %_docdir/%name-%version
%_docdir/%name-%version/*
%_menudir/%name

%changelog
* Wed Mar 23 2005 Grigory Batalov <bga@altlinux.ru> 0.6.9-alt0.M24.1
- Backport to Master 2.4

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.9-alt1
- 0.6.9

* Sat Jan 22 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.8-alt2
- clean buildrequires

* Wed Jan 12 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.8-alt1
- 0.6.8

* Thu Jan 06 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.7-alt1
- 0.6.7

* Sat Dec 11 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.6-alt1
- 0.6.6

* Fri Dec 10 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.5-alt2
- 0.6.5-2

* Thu Dec 09 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Thu Oct 28 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Sun Sep 26 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.3-alt2
- Fixing help browser

* Sun Sep 26 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Thu Sep 16 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.2-alt2
- Fixing menu
- Rewriting spec

* Tue Sep 14 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Fri Sep 03 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.0-alt1
- Initial build

